Skip to main content
PATCH
/
v1
/
phone-numbers
/
{phone_number_id}
Update phone number (reassign agent)
curl --request PATCH \
  --url http://13.207.23.185:8000/v1/phone-numbers/{phone_number_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>"
}
'
{
  "id": "<string>",
  "phone_number": "<string>",
  "friendly_name": "<string>",
  "provider": "<string>",
  "agent_id": "<string>",
  "inbound_trunk_id": "<string>",
  "outbound_trunk_id": "<string>",
  "dispatch_rule_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Path Parameters

phone_number_id
string
required

Body

application/json
agent_id
string

Response

200 - application/json

OK

id
string
phone_number
string
friendly_name
string
provider
string
agent_id
string
status
enum<string>
Available options:
active,
inactive
inbound_trunk_id
string
outbound_trunk_id
string
dispatch_rule_id
string
created_at
string<date-time>
updated_at
string<date-time>